Data Lake Store Accounts - Delete

Updates the Data Lake Analytics account specified to remove the specified Data Lake Store account.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataLakeAnalytics/accounts/{accountName}/dataLakeStoreAccounts/{dataLakeStoreAccountName}?api-version=2016-11-01

URI Parameters

Name In Required Type Description
accountName
path True

string

The name of the Data Lake Analytics account.

dataLakeStoreAccountName
path True

string

The name of the Data Lake Store account to remove

resourceGroupName
path True

string

The name of the Azure resource group.

subscriptionId
path True

string

Get subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True

string

Client Api Version.

Responses

Name Type Description
200 OK

Successfully removed the specified Azure Data Lake Store account information from the specified Azure Data Lake Analytics account.

204 No Content

The specified datalake storage account does not exist or was already deleted.

Other Status Codes

ErrorResponse

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Removes the specified Data Lake Store account

Sample request

DELETE https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosorg/providers/Microsoft.DataLakeAnalytics/accounts/contosoadla/dataLakeStoreAccounts/test_adls_account?api-version=2016-11-01

Sample response

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.